org.apache.felix.ipojo.extender.internal.queue

## Class Statistic

- java.lang.Object
- - org.apache.felix.ipojo.extender.internal.queue.Statistic

    public class Statistic
    extends java.lang.Object

Objects wrapping the `QueueService` statistics.

### Constructor Summary

Constructors
Constructor and Description
`Statistic()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.concurrent.atomic.AtomicInteger` `getCurrentsCounter()`
`java.util.concurrent.atomic.AtomicInteger` `getFinishedCounter()`
`java.util.List<JobInfo>` `getWaiters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Statistic

    public Statistic()

### Method Detail

#### getFinishedCounter

    public java.util.concurrent.atomic.AtomicInteger getFinishedCounter()

Returns:
  the number of completed jobs.

#### getWaiters

    public java.util.List<JobInfo> getWaiters()

Returns:
  the list of waiting jobs.

#### getCurrentsCounter

    public java.util.concurrent.atomic.AtomicInteger getCurrentsCounter()

Returns:
  the number of jobs under processing.